OGRE-Next: OgreD3D11LegacySDKEmulation.h File Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Enumerations | Functions
OgreD3D11LegacySDKEmulation.h File Reference

## Classes
struct | _D3DCOLORVALUE
struct | DXGI_PRESENT_PARAMETERS
struct | DXGI_SWAP_CHAIN_DESC1
struct | DXGI_SWAP_CHAIN_FULLSCREEN_DESC

## Macros
#define | D3DCOLORVALUE_DEFINED
#define | DXGI_SWAP_EFFECT_FLIP_DISCARD ( (DXGI_SWAP_EFFECT)( 4 ) )
#define | DXGI_SWAP_EFFECT_FLIP_SEQUENTIAL ( (DXGI_SWAP_EFFECT)( 3 ) )

## Typedefs
typedef struct _D3DCOLORVALUE | D3DCOLORVALUE
typedef enum DXGI_ALPHA_MODE | DXGI_ALPHA_MODE
typedef struct DXGI_PRESENT_PARAMETERS | DXGI_PRESENT_PARAMETERS
typedef D3DCOLORVALUE | DXGI_RGBA
typedef enum DXGI_SCALING | DXGI_SCALING
typedef struct DXGI_SWAP_CHAIN_DESC1 | DXGI_SWAP_CHAIN_DESC1
typedef struct DXGI_SWAP_CHAIN_FULLSCREEN_DESC | DXGI_SWAP_CHAIN_FULLSCREEN_DESC

## Enumerations
enum | DXGI_ALPHA_MODE { DXGI_ALPHA_MODE_UNSPECIFIED = 0 , DXGI_ALPHA_MODE_PREMULTIPLIED = 1 , DXGI_ALPHA_MODE_STRAIGHT = 2 , DXGI_ALPHA_MODE_IGNORE = 3 , DXGI_ALPHA_MODE_FORCE_DWORD = 0xffffffff }
enum | DXGI_SCALING { DXGI_SCALING_STRETCH = 0 , DXGI_SCALING_NONE = 1 }

## Functions
| DEFINE_GUID (IID_ID3D11Device1, 0xa04bfb29, 0x08ef, 0x43d6, 0xa4, 0x9c, 0xa9, 0xbd, 0xbd, 0xcb, 0xe6, 0x86)
| DEFINE_GUID (IID_ID3D11DeviceContext1, 0xbb2c6faa, 0xb5fb, 0x4082, 0x8e, 0x6b, 0x38, 0x8b, 0x8c, 0xfa, 0x90, 0xe1)
| DEFINE_GUID (IID_IDXGIFactory2, 0x50c83a1c, 0xe072, 0x4c48, 0x87, 0xb0, 0x36, 0x30, 0xfa, 0x36, 0xa6, 0xd0)
| DEFINE_GUID (IID_IDXGISwapChain1, 0x790a45f7, 0x0d42, 0x4876, 0x98, 0x3a, 0x0a, 0x55, 0xcf, 0xe6, 0xf4, 0xaa)

## Macro Definition Documentation

## ◆ D3DCOLORVALUE_DEFINED

#define D3DCOLORVALUE_DEFINED

## ◆ DXGI_SWAP_EFFECT_FLIP_DISCARD

#define DXGI_SWAP_EFFECT_FLIP_DISCARD ( (DXGI_SWAP_EFFECT)( 4 ) )

## ◆ DXGI_SWAP_EFFECT_FLIP_SEQUENTIAL

#define DXGI_SWAP_EFFECT_FLIP_SEQUENTIAL ( (DXGI_SWAP_EFFECT)( 3 ) )

## Typedef Documentation

## ◆ D3DCOLORVALUE

typedef struct _D3DCOLORVALUE D3DCOLORVALUE

## ◆ DXGI_ALPHA_MODE

typedef enum DXGI_ALPHA_MODE DXGI_ALPHA_MODE

## ◆ DXGI_PRESENT_PARAMETERS

typedef struct DXGI_PRESENT_PARAMETERS DXGI_PRESENT_PARAMETERS

## ◆ DXGI_RGBA

typedef D3DCOLORVALUE DXGI_RGBA

## ◆ DXGI_SCALING

typedef enum DXGI_SCALING DXGI_SCALING

## ◆ DXGI_SWAP_CHAIN_DESC1

typedef struct DXGI_SWAP_CHAIN_DESC1 DXGI_SWAP_CHAIN_DESC1

## ◆ DXGI_SWAP_CHAIN_FULLSCREEN_DESC

typedef struct DXGI_SWAP_CHAIN_FULLSCREEN_DESC DXGI_SWAP_CHAIN_FULLSCREEN_DESC

## Enumeration Type Documentation

## ◆ DXGI_ALPHA_MODE

enum DXGI_ALPHA_MODE

Enumerator
DXGI_ALPHA_MODE_UNSPECIFIED |
DXGI_ALPHA_MODE_PREMULTIPLIED |
DXGI_ALPHA_MODE_STRAIGHT |
DXGI_ALPHA_MODE_IGNORE |
DXGI_ALPHA_MODE_FORCE_DWORD |

## ◆ DXGI_SCALING

enum DXGI_SCALING

Enumerator
DXGI_SCALING_STRETCH |
DXGI_SCALING_NONE |

## Function Documentation

## ◆ DEFINE_GUID() [1/4]

DEFINE_GUID | ( | IID_ID3D11Device1 | ,
|  | 0xa04bfb29 | ,
|  | 0x08ef | ,
|  | 0x43d6 | ,
|  | 0xa4 | ,
|  | 0x9c | ,
|  | 0xa9 | ,
|  | 0xbd | ,
|  | 0xbd | ,
|  | 0xcb | ,
|  | 0xe6 | ,
|  | 0x86 | )

## ◆ DEFINE_GUID() [2/4]

DEFINE_GUID | ( | IID_ID3D11DeviceContext1 | ,
|  | 0xbb2c6faa | ,
|  | 0xb5fb | ,
|  | 0x4082 | ,
|  | 0x8e | ,
|  | 0x6b | ,
|  | 0x38 | ,
|  | 0x8b | ,
|  | 0x8c | ,
|  | 0xfa | ,
|  | 0x90 | ,
|  | 0xe1 | )

## ◆ DEFINE_GUID() [3/4]

DEFINE_GUID | ( | IID_IDXGIFactory2 | ,
|  | 0x50c83a1c | ,
|  | 0xe072 | ,
|  | 0x4c48 | ,
|  | 0x87 | ,
|  | 0xb0 | ,
|  | 0x36 | ,
|  | 0x30 | ,
|  | 0xfa | ,
|  | 0x36 | ,
|  | 0xa6 | ,
|  | 0xd0 | )

## ◆ DEFINE_GUID() [4/4]

DEFINE_GUID | ( | IID_IDXGISwapChain1 | ,
|  | 0x790a45f7 | ,
|  | 0x0d42 | ,
|  | 0x4876 | ,
|  | 0x98 | ,
|  | 0x3a | ,
|  | 0x0a | ,
|  | 0x55 | ,
|  | 0xcf | ,
|  | 0xe6 | ,
|  | 0xf4 | ,
|  | 0xaa | )